class Pettanr.View.Show.Footer extends Pettanr.View
  tagName: 'div'
  
  initialize: (options) ->
    super(options)
    @item = options.item
    @header = options.header || new Tag.H3({
      class_name: 'owner-header',
      content: I18n.t('editor')
    })
    @footer = options.footer || new Pettanr.View.Show.Footer.Footer(@item)
    @listenTo(@footer, 'click:edit', @click_edit)
    @listenTo(@footer, 'click:destroy', @click_destroy)
  
  render: () ->
    this.$el.html('')
    this.$el.append(@header.render().el)
    this.$el.append(@footer.render().el)
    this
  
  click_edit: () ->
    @trigger('click:footer:edit')
    @trigger('click:edit')
  
  click_destroy: () ->
    @trigger('click:footer:destroy')
    @trigger('click:destroy')
  
