class Pettanr.View.Show.Footer.Footer extends Pettanr.View
  tagName: 'div'
  className: 'show-owner-footer'
  
  initialize: (item, options) ->
    super(options)
    @edit = new Pettanr.View.Button.ItemAction(
      item, 'edit', {
        context: this,
        click: () =>
          @trigger('click:edit')
      }
    )
    @destroy = new Pettanr.View.Button.ItemAction(
      item, 'destroy', {
        context: this,
        click: () =>
          @trigger('click:destroy')
      }
    )
  
  render: () ->
    this.$el.html('')
    this.$el.append(@edit.render().el)
    this.$el.append(@destroy.render().el)
    this
  
