module ManifestsMacros
  def set_boosts? boosts, names
    names.each do |name|
      expect(boosts.keys).to include name
    end
    expect(boosts.keys.size).to eq names.size
  end
  
  # コントローラのアクションのマニフェストが期待通りに記述されているか。数量と名称でチェックする。
  def set_actions? actions, names
    names.each do |name|
      expect(actions.keys).to include name
    end
    expect(actions.keys.size).to eq names.size
  end
  
  def set_list_action? action, item_name, list_name
    expect(action.item_name).to eq item_name
    expect(action.list_name).to eq list_name
  end
  
  # モデルのassociationのマニフェストが期待通りに記述されているか。数量と名称でチェックする。
  def set_associations? association, names
    names.each do |name|
      expect(association.keys).to include name
    end
    expect(association.keys.size).to eq names.size
  end
  
  # モデルのカラムのマニフェストが期待通りに記述されているか。数量と名称でチェックする。
  def set_attributes? attributes, names
    names.each do |name|
      expect(attributes.keys).to include name
    end
    expect(attributes.keys.size).to eq names.size
  end
  
end

