class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.EditItemColumnModule.Template extends Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.EditItemColumnModule.Base
  
  initialize: (options) ->
    super(options)
    mdl = Pettanr.Views[@item.singular()]
    templates = mdl.templates()
    template_class = templates[@template_file_name()]
    @view = new template_class(options)
  
  render: () ->
    @listenTo(@view, 'http_get', @http_get)
    @listenTo(@view, 'remove', @click_remove)
    @listenTo(@view, 'update', @click_update)
    this.$el.html(@view.render().el)
    this
  
  template_file_name: () ->
    @my_manifest.template_name
  
  http_get: (url) ->
    @trigger('http_get', url)
  
  click_remove: () ->
    @trigger('remove')
  
  click_update: () ->
    @trigger('update')
  
