class Pettanr.License extends Peta.SystemResource
  
  @singular: () ->
    'License'
  
  @plural: () ->
    'Licenses'
  
  defaults: {
    id: null
  } 
  
  @trace_routes: () ->
    {
      symbol: ['system_picture']
    }
  
  caption_with_group: (context, options) ->
    @get_parent('license_group', this, {
      success: (license_group) => 
        caption = license_group.escape('caption') + '/' + @escape('caption')
        options.success.call(context, caption)
    })
  
  is_own: () ->
    true
  
  initialize: (attr = {}, options = {}) ->
    super(attr, options)
  
