class Pettanr.Views.OriginalPictureLicense.Form extends Locmare.Form
  
  initialize: (options) ->
    super(options)
  
  post: () ->
    @item.url = '/original_picture_licenses/'
    attr = {}
    _.each @fields, (field) =>
      val = if field.field_name == 'license_group_module_name'
        # oops! hidden field val() is convert to integer!
        field.tag.$el.val()
      else
        field.val()
      attr[field.field_name] = val
    @item.set(attr)
    @item.unset('id')  # isNew use flag that id attr set
    f = (license) => 
      @listenTo(@item, 'save:success', @success)
      @listenTo(@item, 'save:fail', @fail)
      @item.save()
    @item.get_parent('license', f, this)
    return false
  
  success: (model, response) ->
    resource_picture = new Pettanr.ResourcePicture(response.item)
    credits = response.credits
    @trigger('confirm', resource_picture, credits)
  
  fail: (model, response) ->
    @trigger('fail', model, response)
  
