class Pettanr.Views.Picture.Credit extends Pettanr.View
  tagName: 'div'
  className: 'credit'
  
  initialize: (options) ->
    @item = options.item
    @with_icon = options.with_icon
    @url = @item.url + '/credit'
  
  render: () ->
    this.$el.html('')
    if @with_icon
      p = @item.credit_icon_view()
      @listenTo(p, 'click', @click)
      this.$el.append(p.render().el)
    f = (data, status) =>
      this.$el.append(data)
      @rb()
    $.get(@url, null, f, 'html')
    this
  
  click: () ->
    @trigger('click:icon', @item)
  
