class Pettanr.Views.ResourcePicture.CreditIcon extends Pettanr.View
  tagName: 'span'
  className: 'credit-icon'
  
  initialize: (options) ->
    @item = options.item
    @url = @item.url + '/credit'
  
  render: () ->
    this.$el.html('')
    resource_picture = @item.tmb_opt_img_tag()
    linked_resource_picture = new Tag.A({
      attr: {href: @item.url},
      content: resource_picture.render().el
    })
    @listenTo(linked_resource_picture, 'click', @click)
    this.$el.append(linked_resource_picture.render().el)
    this
  
  click: () ->
    @trigger('click')
  
