class ArtistsController < ApplicationController
  if Manifest.manifest.magic_numbers['run_mode'] == 0
    before_action :authenticate_user, :only => [:new, :create, :edit, :update, :destroy]
    before_action :authenticate_artist, :only => [:edit, :update, :destroy]
  else
    before_action :authenticate_resource_reader, :only => [
      :index, :show
    ]
    before_action :authenticate_user, :only => [:new, :create, :edit, :update, :destroy]
    before_action :authenticate_artist, :only => [:edit, :update, :destroy]
  end
  
  def index
    filer_list
  end
  
  def show_html_format format
    format.html {
    }
  end
  
  def show
    set_show
    respond_to do |format|
      show_html_format format
      show_prof_format format
      show_json_format format
    end
  end
  
  def new
    form_new
  end
  
  def edit
    form_edit
  end
  
  def create
    set_model
    @item = @my_model_class.new
    @item.supply_default 
    @item.attributes = @item.permit_params params
    @item.overwrite @operators
    render_create root_path
  end
  
  def update
    set_edit
    @item.attributes = @item.permit_params params
    @item.overwrite @operators
    render_update '/home/configure'
  end
  
  def destroy
    set_model
    @item = @my_model_class.edit(params[:id], @operators)
    render_destroy '/home/configure'
  end
  
end
