class OmniauthCallbacksController < ApplicationController
  
  def all
    user = User.from_omniauth(request.env["omniauth.auth"])
    if user.persisted?
      flash.notice = "login successful!!"
      sign_in_and_redirect user
    else
      session["devise.user_attributes"] = user.attributes
      redirect_to new_user_registration_url
    end
  end
  
  def twitter
    self.all
  end
  
  def failure
    return render :json => {:success => false, :errors => ["Login failed."]}
  end
  
end
