class GenResourcePicturePictures < ActiveRecord::Migration
  def up
    Picture.find_each do |picture|
      resource_picture_picture = ResourcePicturePicture.where(['picture_id = ?', picture.id]}).first
      opid = picture.original_picture ? picture.original_picture.id : nil
      rpid = picture.original_picture.resource_picture ? picture.original_picture.resource_picture.id : nil
      if resource_picture_picture
      else
        resource_picture_picture = ResourcePicturePicture.new()
      end
      resource_picture_picture.original_picture_id = opid
      resource_picture_picture.resource_picture_id = rpid
      resource_picture_picture.picture_id = picture.id
      
      resource_picture_picture.save!
    end
  end

  def down
  end
end
