require_dependency "editor/dock/tab/body/board"
require_dependency "editor/dock/tab/label/board"
module Editor
  module EditorModule
    module DockModule
      class Board < Tab
        def initialize parent, index, name
          super
        end
        
        def root_item
          @parent.root_item
        end
        
        def bay
          @parent
        end
        
        def dock
          self.bay.dock
        end
        
        def dock_template_dir
          self.dock.template_dir
        end
        
        def template_dir
          self.dock_template_dir + 'bay/'
        end
        
        def bay_index
          self.bay.index
        end
        
        def dom_id
          self.bay.dom_id + '-board-' + self.name
        end
        
        def dom_class
          self.bay.dom_class + '-board'
        end
        
        def header_class
          ""
        end
        
      end
      
    end
  end
end
