require_dependency "locmare/filer/body/file_body/file_item/caption/base"
require_dependency "locmare/filer/body/file_body/file_item/caption/default"
require_dependency "locmare/filer/body/file_body/file_item/caption/template"
require_dependency "locmare/filer/body/file_body/file_item/caption/none"
module Locmare
  module FilerModule
    module BodyModule
      module FileBodyModule
        module FileItemModule
          class CaptionItemColumnFactory
            include CaptionItemColumnModule
            @@types = {
              'default' => Default, 'template' => Template, 'none' => None
            }
            def self.factory file_item, my_manifest, item
              type = my_manifest.type
              raise "undefined type for local view filers > #{file_item.item_name} > caption > default > face\n" unless type
              my_class = @@types[type]
              raise "undefined class for local view filers > #{file_item.item_name} > caption > default > face > #{type}\n" unless my_class
              my_class.new(file_item, my_manifest, item)
            end
            
          end
        end
      end
    end
  end
end
