module Manifest
  module ModelModule
    module AttributeModule
      module SourceModule
        class ModelSource < Base
          attr :resource_item_name, :resource_action_name, 
            :select_item_name, :caption_name
          
          def set_default
            super
            @args['has_translation'] ||= 0
            @args['resource_item_name'] ||= (@parent.name.gsub('_id', ''))
            @args['resource_action_name'] ||= 'index'
            @args['select_item_name'] ||= self.item_name + '_' + @parent.name.gsub('_id', '') + '_items'
            @args['caption_name'] ||= 'caption'
          end
          
          def init
            super
            @has_translation = @args['has_translation']
            @resource_item_name = @args['resource_item_name']
            @resource_action_name = @args['resource_action_name']
            @select_item_name = @args['select_item_name']
            @caption_name = @args['caption_name']
          end
          
        end
        
      end
    end
  end
end
