# -*- encoding: utf-8 -*-
FactoryGirl.define do
  factory :user_yas, :class => User do |i|
    i.email "yas@jmail.com"
    i.password "user0100"
    i.password_confirmation "user0100"
    trait :with_owner do
      after(:create) do |user|
        create(:author_yas, user: user)
        create(:artist_yas, user: user)
      end
    end
    factory :user_yas_with_owner, traits: [:with_owner]
  end
  factory :user_itojun, :class => User do |i|
    i.email "itojun@jmail.com"
    i.password "user0100"
    i.password_confirmation "user0100"
    trait :with_owner do
      after(:create) do |user|
        create(:author_itojun, user: user)
        create(:artist_itojun, user: user)
      end
    end
    factory :user_itojun_with_owner, traits: [:with_owner]
  end
  factory :user_rom, :class => User do |i|
    i.email "rom@jmail.com"
    i.password "user0100"
    i.password_confirmation "user0100"
  end
  factory :user_ghost, :class => User do |i|
    i.email "ghost@jmail.com"
    i.password "user0100"
    i.password_confirmation "user0100"
  end
end
